from fastapi import FastAPI
from routers.convert_router import convert_router
from routers.import_router import import_router
from routers.analysis_router import analysis_router
from routers.export_router import export_router
from routers.generate_router import generate_router


app = FastAPI(title="Retro API", description="Retro content management system")

# Include routers in the main app
app.include_router(convert_router)
app.include_router(import_router)
app.include_router(analysis_router)
app.include_router(export_router)
app.include_router(generate_router)
