from typing import Dict

from pydantic import BaseModel


class AnalysisRequest:
    analysis_type: str
    filters: Dict

class AnalysisResponse:
    result: str


class ConversionRequest(BaseModel):
    source_type: str
    source_data: str


class ConversionResponse(BaseModel):
    converted_data: dict
    status: str


class ExportRequest:
    filters: Dict
    format: str


class ExportResponse:
    export_url: str
    status: str


class GenerateRequest:
    prompt: str


class GenerateResponse:
    content_url: str
    status: str


class ImportRequest:
    data: str


class ImportResponse:
    status: str
